# Storage

## List Files

 - [GET /v1/storage/folders/{path}](https://docs.synqly.com/api-reference/connectors/storage/storage_list_files.md): Returns a list of contents from the token-linked Integration.

Operation ID: storage_list_files

## Upload File

 - [POST /v1/storage/files/{path}](https://docs.synqly.com/api-reference/connectors/storage/storage_upload_file.md): Uploads a file from the provided {path} to the token-linked Integration.

Operation ID: storage_upload_file

## Download File

 - [GET /v1/storage/files/{path}](https://docs.synqly.com/api-reference/connectors/storage/storage_download_file.md): Downloads a file from the provided {path} in the token-linked Integration.

Operation ID: storage_download_file

## Delete File

 - [DELETE /v1/storage/files/{path}](https://docs.synqly.com/api-reference/connectors/storage/storage_delete_file.md): Deletes a file from the provided {path} in the token-linked Integration.

Operation ID: storage_delete_file

